# Topics

## Topic routes

There are 3 routes that help to manage a given topic before sending consensus messages. The focus is that if you have a particular group of users or a particular app that you wish to have a separate topic to keep track of messages you can do so with different topics.

{% hint style="info" %}
Please note that currently the creation of new topics automatically set the admin key to be the public key of the account of the deployed client. This means that a topic may only be updated by that account, the memo can only be changed.
{% endhint %}

All routes required authentication through the **x-api-key** and a escaped JSON value can be injected into the memo to hold more information about the topic.

### Get topic info

Get the topic information using a supplied **topic\_id.**

{% content-ref url="/pages/-MFsyufjbKHattJT2q1R" %}
[Get topic info](/rest-api/topics/get-topic-info.md)
{% endcontent-ref %}

### Create new topic

Create a topic with 2 optional values, the **memo** or the **enable\_private\_submit\_key** which stops any other account to successfully sent a consensus message to the topic.

{% content-ref url="/pages/-MFsy\_ir6oZ2Xhl0a5yD" %}
[Creating a new topic](/rest-api/topics/creating-a-new-topic.md)
{% endcontent-ref %}

### Update a current topic

Update the memo of a given topic by providing a **memo** property to the body.

{% content-ref url="/pages/-MFsyii8WyB4WroP84He" %}
[Updating a topic](/rest-api/topics/updating-a-topic.md)
{% endcontent-ref %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.trust.enterprises/rest-api/topics.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
